Subject: RE: Proposed Changes to ULE text - Format descriptors for SI sign alling

From: "Goldberg, Adam" <[email-masked]>
Date: Sun, 31 Jul 2005 16:08:26 -0700

My point was thus:  You should not call a sequence of TS packets a
"transport stream" unless it is one.  It is not a Transport Stream unless it
has conformant PSI.

Adam Goldberg
Director, Television Standards & Policy Development 
Sharp Laboratories of America 
8605 Westwood Center Drive, Suite 206 
Vienna, VA  22182 
(703) 556-4406 
(703) 556-4410 fax

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Gorry Fairhurst
Sent: Sunday, July 31, 2005 4:26 PM
To: [email-masked]
Subject: Re: Proposed Changes to ULE text - Format descriptors for SI sign
alling

See in-line,

On 31/7/05 9:02 pm, "Goldberg, Adam" <[email-masked]> wrote:

> Sorry, but I feel a need to be pedantic.
> 
> See ISO/IEC 13818-1 §2.4.1.  A Transport Stream consists of "... one or
more
> programs ...".  Also, "The Program Map Table, in Table 2-28, specifies,
> among other information, which PIDs, and therefore which elementary
streams
> are associated to form each program."
> 
So, the document says in the paragraph before:

   The MPEG-2 specification [ISO-MPEG2] requires conformant TS
   Multiplexes to provide Program Specific Information (PSI) for
   each stream in the TS Multiplex. Other MPEG-2 based transmission
   standards may also define Service Information (SI).

> Therefore, if there aren't one or more "programs" (defined as a
"collection
> or program elements", where "program elements" means elementary streams),
or
> if there isn't a Program Map Table that specifies which elementary streams
> are associated with the (one or more) program(s), it isn't a "MPEG-2
> Transport Stream".  Just because it uses MPEG-2 Transport Stream packets,
> that doesn't make it a Transport Stream.

Therefore, conformant ISO 13818-1 TS do carry PMT tables, in which the ULE
Format descriptors SHOULD be included for the ULE streams.

The IETF defines (in RFC2119) that SHOULD, means "that there
may exist valid reasons in particular circumstances to ignore a
particular item, but the full implications must be understood and
carefully weighed before choosing a different course".

In this case, it means "implement this" or the implication may be that the
stream is dropped by a TS multiplexor that does not recognise it.

Gorry

> Adam Goldberg
> Director, Television Standards & Policy Development
> Sharp Laboratories of America
> 8605 Westwood Center Drive, Suite 206
> Vienna, VA  22182
> (703) 556-4406 
> (703) 556-4410 fax
> 
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Gorry Fairhurst
> Sent: Sunday, July 31, 2005 7:24 AM
> To: [email-masked]
> Subject: Re: Proposed Changes to ULE text - Format descriptors for SI sign
> alling
> 
> On 29/7/05 11:44 pm, "Goldberg, Adam" <[email-masked]> wrote:
> 
>> Are there transport streams (in IETF-land) WITHOUT PMT?
> 
> Indeed there are.
> 
> There are many possible topologies for MPEG-2 Transmission Networks, see
> section 3.1 of:
> http://www.ietf.org/internet-drafts/draft-ietf-ipdvb-arch-04.txt
> 
> In some specific scenarios, there are "transport streams" that go straight
> from the ipdvb gateway/encapsulator, are modulated/broadcast and then
> received by a Receiver/Router (i.e., for example they are never
> "remultiplexed", and have no specific need for a PMT). These can use other
> methods to configure PID usage.
> 
> Gorry
> 
>> If so, I'd like to know.  And if not,
>> 
>> RTR: " A format_identifier value has been registered for ULE [ULE1]. This
> 32
>> bit number has a hexadecimal value of 0x554C4531.  Transport Streams that
>> use the ULE format defined in this document SHALL insert a descriptor
with
>> this value in the Program Map Table (PMT) ES_info descriptor loop."
>> 
>> 
>> Adam Goldberg
>> Director, Television Standards & Policy Development
>> Sharp Laboratories of America
>> 8605 Westwood Center Drive, Suite 206
>> Vienna, VA  22182
>> 703-556-4406
>> 703-556-4410 fax
>> 571-276-0305 cell
>>  
>> 
>> 
>>> -----Original Message-----
>>> From: [email-masked] [mailto:[email-masked]] On
>>> Behalf Of Allison, Art
>>> Sent: Friday, July 29, 2005 3:06 PM
>>> To: [email-masked]
>>> Subject: RE: Proposed Changes to ULE text - Format descriptors for SI
>>> signalling
>>> 
>>> If the insertion is not mandatory, one cannot rely upon its presence.
>>> If not present, how is a conflict with another private use that has a
>>> structure that is close to ULE prevented/resolved.
>>> 
>>> Recommend RTR: " Transport Streams that utilise the Programme Map Table
>>> (PMT)
>>>     defined in ISO 13818-1 [ISO-MPEG2] and that use the ULE
>>>     format defined in this document, SHALL insert a descriptor with
>>>     this value in the PMT ES_info descriptor loop."
>>> __________________
>>> Art Allison
>>> Director, Advanced Engineering
>>> NAB Science & Technology
>>> 1771 N St NW, Washington DC 20036
>>> 202 429 5418
>>> -----Original Message-----
>>> From: [email-masked] [mailto:[email-masked]]
>>> Sent: Wednesday, July 27, 2005 2:47 PM
>>> To: [email-masked]
>>> Subject: Re: Proposed Changes to ULE text - Format descriptors for SI
>>> signalling
>>> 
>>> 
>>> After receiving a few suggestions, I now propose better text for the
>>> description of the format identifier:
>>> 
>>> Page 3, Section 1 (Introduction):
>>> AFTER:
>>>    "The MPEG-2 specification [ISO-MPEG2] requires conformant TS
>>>     Multiplexes to provide Program Specific Information (PSI) for
>>>     each stream in the TS Multiplex. Other MPEG-2 based transmission
>>>     standards may also define Service Information (SI)."
>>>                                                        ^ INSERT BLANK
>>> LINE AND NEW PARAGRAPH after the above:
>>>    "A format_identifier value has been registered for ULE [ULE1].
>>>     This 32 bit number has a hexadecimal value of 0x554C4531.
>>>     Transport Streams that utilise the Programme Map Table (PMT)
>>>     defined in ISO 13818-1 [ISO-MPEG2] and that use the ULE
>>>     format defined in this document, SHOULD insert a descriptor with
>>>     this value in the PMT ES_info descriptor loop."
>>> 
>>> Best wishes,
>>> 
>>> Gorry
>>> 
>>> Gorry Fairhurst wrote:
>>> 
>>>> 
>>>> The ULE Spec is now completing IESG review, and will soon be ready for
>>> 
>>>> publishing as an RFC. With this in mind, the authors of ULE have
>>>> progressed with registering a code-point for the SI that describes
>>> ULE.
>>>> They propose an update the ULE Spec to include the appropriate text
>>>> describing this, prior to publication as an RFC.
>>>> 
>>>> As I see it, there are three threads to this process - ISO format_id;
>>>> DVB data_broadcast_id; and stream_type.
>>>> 
>>>> Please send thoughts on any or all of the points below to the mailing
>>>> list...
>>>> 
>>>> Best wishes,
>>>> 
>>>> gorry
>>>> 
>>>> -----
>>>> 1) Format ID
>>>> 
>>>> Proposed additional text for ULE RFC to specify what to do with PMTs
>>>> on page 3:
>>>> 
>>>> Old:
>>>>   "The MPEG-2 specification [ISO-MPEG2] requires conformant TS
>>>>    Multiplexes to provide Program Specific Information (PSI) for
>>>>    each stream in the TS Multiplex. Other MPEG-2 based transmission
>>>>    standards may also define Service Information (SI)."
>>>> 
>>>> New:
>>>>   "The MPEG-2 specification [ISO-MPEG2] requires conformant TS
>>>>    Multiplexes to provide Program Specific Information (PSI) for
>>>>    each stream in the TS Multiplex. Other MPEG-2 based transmission
>>>>    standards may also define Service Information (SI).
>>>> 
>>>>   "A format_identifier value has been registered with the SMPTE RA
>>>>    [ULE1], for ULE. This has the hexadecimal value 0x554C4531
>>>>    ("ULE1"). Transport Streams that utilise the Programme
>>>>    Map Table (PMT) defined in ISO 13818-1 and that use the ULE
>>>>    format defined in this document, SHOULD insert a descriptor with
>>>>    this value in the PMT ES_info descriptor loop."
>>>> 
>>>> Add:
>>>> [ULE1] Registration for format_identifier ULE1, SMPTE Registration
>>>> Authority, LLC, http://www.smpte-ra.org/ule1.html.
>>>> 
>>>> -----
>>>> 2) Data broadcast descriptor
>>>> 
>>>> Although this was proposed at the last IETF meeting and via the
>>>> mailing list, this has not currently been progressed. We can not
>>>> currently see a specific need for this descriptor for ULE streams -
>>>> the conventional use of the descriptor for MPEG Tables makes this less
>>> 
>>>> appropriate than (1) as a general-purpose method. A registration for
>>>> ULE could still be done (before or after publishing the ULE RFC). Is
>>> there a need to do this now?
>>>> 
>>>> -----
>>>> 3) Stream Type
>>>> 
>>>> As I understand, stream_type values are not normatively assigned by
>>>> ISO, but conventions are documented by DVB and ATSC. We propose to
>>>> continue to progress with requesting a value for ULE (starting with
>>>> ATSC). It is not clear to me that the value needs to be specified in
>>>> the published RFC - what do others think?
>>>> 
>>>> 
>>>> 
>> 
>> 
> 
> 
>